#!/bin/bash
#
# Setup NISDOMAIN 
#
WORKGROUP=`cat /etc/workgroup`
WORKGROUPDOMAIN=b0l3p
domain="NISDOMAIN=$WORKGROUPDOMAIN"
file=/etc/sysconfig/network

grep "$domain" $file > /dev/null || echo "$domain" >> $file

# make sure needed services are on

/sbin/chkconfig --level 35 ypbind on
/sbin/chkconfig --level 35 portmap on
/sbin/chkconfig --level 35 xntpd on

/sbin/chkconfig --level 35 pcmcia off
/sbin/chkconfig --level 35 sendmail off
/sbin/chkconfig --level 35 apmd off
cp -a /etc/$WORKGROUP/configfiles/* / 

# add /home entry to fstab
del='home'
add='#
b0l3serv:/home          /home                   nfs     soft,rsize=8192,wsize=8192  0 0
#'

date='date+%H%M%S'
temp=temp.$date
file=/etc/fstab
if (egrep -v "$del" $file; echo "$add")|uniq > $temp && diff -b -w $file $temp | grep . > /dev/null
then
  mv $file $file.old
  mv $temp $file
else
  rm $temp
fi
